[DRE-commits] [ruby-rails-assets-jquery.slimscroll] 05/11: add smoke test

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Wed Sep 16 17:29:50 UTC 2015


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository ruby-rails-assets-jquery.slimscroll.

commit 53817a59d5b87654c82ed3c1a00480c7940ada8e
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Wed Sep 16 22:18:28 2015 +0530

    add smoke test
---
 debian/tests/control    |  2 ++
 debian/tests/control.ex | 13 -------------
 debian/tests/smoke-test | 24 ++++++++++++++++++++++++
 3 files changed, 26 insertions(+), 13 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..90b1c09
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: smoke-test
+Depends: @, rails, ruby-coffee-script
diff --git a/debian/tests/control.ex b/debian/tests/control.ex
deleted file mode 100644
index 429a392..0000000
--- a/debian/tests/control.ex
+++ /dev/null
@@ -1,13 +0,0 @@
-# AUTOGENERATED FILE
-#
-# As of autopkgtest 3.5, Ruby packages that use gem2deb are automatically
-# detected, and if debian/tests/control does not exist the contents below will
-# be assumed (with the exception of gem2deb being filtered out from
-# @builddeps@):
-
-Test-Command: gem2deb-test-runner --autopkgtest 2>&1
-Depends: @, @builddeps@, gem2deb-test-runner
-
-# if you would need to change something to the above, to that and rename this
-# file to `control`. Otherwise, you should probably delete this file
-# (recommended).
diff --git a/debian/tests/smoke-test b/debian/tests/smoke-test
new file mode 100755
index 0000000..30ce439
--- /dev/null
+++ b/debian/tests/smoke-test
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+exec 2>&1
+set -ex
+
+
+smoke() {
+cd $ADTTMP
+rails new foo-$1
+cd foo-$1
+
+cat >> app/assets/javascripts/application.js <<EOF
+# =require $1
+EOF
+
+cat >> Gemfile <<EOF
+gem "rails-assets-$1", "~> 1.3.6"
+EOF
+
+bundle install --local
+bundle exec rake assets:precompile
+}
+
+smoke jquery.slimscroll

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/ruby-rails-assets-jquery.slimscroll.git



More information about the Pkg-ruby-extras-commits mailing list